XmStringConcat(3Xm)

NAME
XmStringConcat — a compound string function that appends one string to another.

SYNOPSIS
#include <Xm/Xm.h>

XmString XmStringConcat (s1, s2)
    XmString    s1;
    XmString    s2;

DESCRIPTION
XmStringConcat appends s2 to the end of s1 and returns the resulting compound string. The original strings are preserved. The space for the resulting compound string is allocated within the function. After using this function, free this space by calling XmStringFree.

s1  Specifies the compound string to which a copy of s2 is appended.

s2  Specifies the compound string that is appended to the end of s1.

RETURN VALUE
Returns a new compound string.

RELATED INFORMATION
XmStringCreate(3Xm) and XmStringFree(3Xm).